#!/bin/sh
#Shell Script to build the directories needed
#for creating base.tar.gz from the full Red Hat 6.1
#install on the server. March 14, 2000
#
#  NOTE: this file also creates system.fvwm95rc right after
#  it creates the directories. This is done using the cat
#  command. ******NOTICE****** Since this is a shell script
#  it tries to replace all items it sees with a leading $
#  with a value (it thinks they are variable). This means
#  where we want to write a dollar sign we have to do \$
#  Also notice the same is true for all places where you
#  intend to write out a \, this needs to be \\ or it simply
#  ignores it and brings the line from below to the line with
#  the single slash at the end of it. All of these changes
#  have been made in this file and it has been tested to work
#  properly now.  3-16-2000
#
#Chris Glendenning

#-------------------Make Directories----------------
#Create the directories necessary for the tar package to use when
#building the directory tree structure within the tar
#tested 12:45pm 3-14-2000 and tree structure was built correctly
mkdir -p ./Applications
mkdir -p ./IBM
mkdir -p ./Management
mkdir -p ./TempApps
mkdir -p ./TempNet
mkdir -p ./bin
mkdir -p ./dev
mkdir -p ./etc/rc.d
mkdir -p ./local/bin
mkdir -p ./lost+found
mkdir -p ./proc
mkdir -p ./root/IBM
mkdir -p ./sbin
mkdir -p ./tmp/var
mkdir -p ./usr/X11R6/bin
mkdir -p ./usr/X11R6/lib/X11/fonts/PEX
mkdir -p ./usr/X11R6/lib/X11/fonts/Speedo
mkdir -p ./usr/X11R6/lib/X11/fonts/Type1
mkdir -p ./usr/X11R6/lib/X11/fonts/Misc
mkdir -p ./usr/X11R6/lib/X11/fonts/75dpi
mkdir -p ./usr/X11R6/lib/X11/xkb/compat
mkdir -p ./usr/X11R6/lib/X11/xkb/geometry
mkdir -p ./usr/X11R6/lib/X11/xkb/keycodes
mkdir -p ./usr/X11R6/lib/X11/xkb/symbols
mkdir -p ./usr/X11R6/lib/X11/xkb/types
mkdir -p ./usr/X11R6/lib/X11/xserver
mkdir -p ./usr/X11R6/lib/X11/xinit
mkdir -p ./usr/X11R6/lib/X11/locale/tbl_data
mkdir -p ./usr/X11R6/lib/X11/locale/th_TH.tactis
mkdir -p ./usr/X11R6/lib/X11/locale/zh
mkdir -p ./usr/X11R6/lib/X11/locale/zh_TW
mkdir -p ./usr/X11R6/lib/X11/locale/zh_TW.Big5
mkdir -p ./usr/local/mini-icons
mkdir -p ./usr/local/icons
mkdir -p ./usr/local/bin
mkdir -p ./usr/local/lib/X11/fvwm95 
mkdir -p ./usr/lib/tcl8.0
mkdir -p ./usr/lib/tk8.0
mkdir -p ./usr/bin
mkdir -p ./usr/share
ln -sf /tmp/var var
cd etc
ln -sf /etc/XF86Config.2200.2800.skeleton XF86Config
ln -sf /usr/X11R6/bin/XF86_FBDev /usr/X11R6/bin/X
cd ../
#--------------------End of Directory Making-------------------

touch ./etc/fstab
touch ./etc/mtab


#----------------------End File Copying---------------------------


#The things below this line were from our master list
#which the base.tar.gz untars as and these have been
#commented since they are either empty directories
#already existing directories, or custom files
#
#-----Custom or On-The-Fly Files--------
#
# ./sbin/shutdown
