#!/bin/sh
#This script will create the tarball needed to install
#  the Linux JVM program to IBM Embedded Linux-enabled NetworkStations
#  Ryan Harper					      Mar 14, 2000

. /root/IBM/DirInfo
echo "Setting Path"
rm -r $cfbuild_dir/installtemp

mkdir -p $cfbuild_dir/installtemp/
mkdir -p $cfbuild_dir/installtemp/usr/java

cd $cfbuild_dir/installtemp/usr/java
cat <<-EOF >"README"
To add java to your execution path please run 
IBM_JVM_setup.sh script and reboot your machine.
EOF
cp -a $cfbuild_dir/$script_dir/IBM_JVM_setup.sh $cfbuild_dir/installtemp/usr/java
cp -a $cfbuild_dir/$script_dir/IBM_JVM_rc.local.txt $cfbuild_dir/installtemp/usr/java
cd $cfbuild_dir/installtemp/usr/java
tar -xzf $ibm_jvm_source

cd $cfbuild_dir/installtemp
mkdir -p $cfbuild_dir/Packages
tar -cpzf $cfbuild_dir/Packages/linux-ibm-jvm.tar.gz *
cd /
rm -r $cfbuild_dir/installtemp
echo "Package Build complete"

