#!/bin/sh

. /root/IBM/DirInfo

rm -r $cfbuild_dir/installtemp
mkdir -p $cfbuild_dir/installtemp
mkdir -p $cfbuild_dir/Packages

cd $cfbuild_dir/installtemp

ln -sf /var var
rpm -i --excludedocs --force --nodeps --root $cfbuild_dir/installtemp $gimp_source
rpm -i --excludedocs --force --nodeps --root $cfbuild_dir/installtemp $gimp_lib_source
rpm -i --excludedocs --force --nodeps --root $cfbuild_dir/installtemp $gtk_source
rm var

mkdir -p $cfbuild_dir/installtemp/lib
mv -f usr/lib/* lib/
mv lib/gimp usr/lib/gimp

cp -a /usr/lib/libglib* ./lib
cp -a /usr/lib/libgmodule* ./lib
cp -a /usr/lib/libjpeg* ./lib
cp -a /usr/lib/libpng* ./lib
cp -a /usr/lib/libgif* ./lib
cp -a /usr/lib/libz* ./lib

tar -cpzf $cfbuild_dir/Packages/gimp.tar.gz *
rm -r $cfbuild_dir/installtemp

echo "Done"


